| Kea 3.0.2-git

dhcp4_parser.cc File Reference
`#include "dhcp4_parser.h"`
`#include <dhcp4/parser_context.h>`
Include dependency graph for dhcp4_parser.cc:

Go to the source code of this file.

## Namespaces
namespace | isc
| Defines the logger used by the top-level component of kea-lfc.
namespace | isc::dhcp

## Macros
#define | YY_(msgid)
#define | YY_EXCEPTIONS 1
#define | YY_REDUCE_PRINT(Rule)
#define | YY_STACK_PRINT()
#define | YY_SYMBOL_PRINT(Title, Symbol)
#define | YYABORT goto yyabortlab
#define | YYACCEPT goto yyacceptlab
#define | YYCASE_(N, S)
#define | YYCDEBUG if (false) std::cerr
#define | yyclearin (yyla.clear ())
#define | yyerrok (yyerrstatus_ = 0)
#define | YYERROR goto yyerrorlab
#define | yylex
#define | YYLLOC_DEFAULT(Current, Rhs, N)
#define | YYRECOVERING()
#define | YYRHSLOC(Rhs, K)

## Macro Definition Documentation

## ◆ YY_

#define YY_ | ( |  | msgid | ) |

Value:
msgid

Definition at line 67 of file dhcp4_parser.cc.

## ◆ YY_EXCEPTIONS

#define YY_EXCEPTIONS 1

Definition at line 77 of file dhcp4_parser.cc.

## ◆ YY_REDUCE_PRINT

#define YY_REDUCE_PRINT | ( |  | Rule | ) |

Value:
static_cast<void> (0)

Definition at line 134 of file dhcp4_parser.cc.

## ◆ YY_STACK_PRINT

#define YY_STACK_PRINT | ( |  | ) |

Value:
static_cast<void> (0)

Definition at line 135 of file dhcp4_parser.cc.

## ◆ YY_SYMBOL_PRINT

#define YY_SYMBOL_PRINT | ( |  | Title,
|  |  | Symbol )

Value:
YY_USE (Symbol)
YY_USE
#define YY_USE(E)
Definition agent_parser.h:130

Definition at line 133 of file dhcp4_parser.cc.

## ◆ YYABORT

#define YYABORT goto yyabortlab

Definition at line 143 of file dhcp4_parser.cc.

## ◆ YYACCEPT

#define YYACCEPT goto yyacceptlab

Definition at line 142 of file dhcp4_parser.cc.

## ◆ YYCASE_

#define YYCASE_ | ( |  | N,
|  |  | S )

Value:
case N: \
yyformat = S; \
break

## ◆ YYCDEBUG

#define YYCDEBUG if (false) std::cerr

Definition at line 132 of file dhcp4_parser.cc.

## ◆ yyclearin

#define yyclearin (yyla.clear ())

Definition at line 140 of file dhcp4_parser.cc.

## ◆ yyerrok

#define yyerrok (yyerrstatus_ = 0)

Definition at line 139 of file dhcp4_parser.cc.

## ◆ YYERROR

#define YYERROR goto yyerrorlab

Definition at line 144 of file dhcp4_parser.cc.

## ◆ yylex

#define yylex | ( |  | void | ) |

Value:
parser4_lex

Definition at line 39 of file dhcp4_parser.cc.

## ◆ YYLLOC_DEFAULT

#define YYLLOC_DEFAULT | ( |  | Current,
|  |  | Rhs,
|  |  | N )

Value:
do \
if (N) \
{ \
(Current).begin = YYRHSLOC (Rhs, 1).begin; \
(Current).end = YYRHSLOC (Rhs, N).end; \
} \
else \
{ \
(Current).begin = (Current).end = YYRHSLOC (Rhs, 0).end; \
} \
while (false)
YYRHSLOC
#define YYRHSLOC(Rhs, K)
Definition agent_parser.cc:81

Definition at line 87 of file dhcp4_parser.cc.

## ◆ YYRECOVERING

#define YYRECOVERING | ( |  | ) |

Value:
(!!yyerrstatus_)

Definition at line 145 of file dhcp4_parser.cc.

## ◆ YYRHSLOC

#define YYRHSLOC | ( |  | Rhs,
|  |  | K )

Value:
((Rhs)[K].location)

Definition at line 81 of file dhcp4_parser.cc.